%define tarname	EnvisagePlugins
%define name	python-enthought-envisageplugins
%define version	3.0.1
%define release %mkrel 2

Summary:	Enthought Tool Suite - EnvisagePlugins project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.lzma
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/envisage_plugins.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python-enthought-apptools >= 3.1.0
Requires:	python-enthought-envisagecore >= 3.0.1
Requires:	python-enthought-traits >= 3.0.3
Requires:	python-enthought-traitsgui >= 3.0.3
BuildRequires:	python-setuptools >= 0.6c8
%py_requires -d

%description
The EnvisagePlugins project includes a number of plug-ins for the
Envisage framework that we have found useful for building scientific
applications. Envisage does not require that you use these plug-ins,
but you may find them useful to avoid having to reinvent these
particular wheels.

* Workbench: Provides an application GUI window that supports views and 
  perspectives, similar to the Eclipse IDE.
* Action: Supports user-interaction command mechanisms, such as toolbars, 
  menus, and buttons.
* Single Project: Supports a project paradigm for saving application data, 
  assuming an interaction model in which only one project can be open in 
  the application at a time.
* Text Editor: Provides a rudimentary text editor interface.
* Python Shell: Provides an interactive Python shell within a Workbench-based 
  application.
* Debug: Provides the Frame Based Inspector from the Developer Tools project 
  as an Envisage plug-in.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}

%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ 



%changelog
* Sat Jan 03 2009 Funda Wang <fundawang@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 323679
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 313514
- Update to 3.0.1.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298913
- import python-enthought-envisageplugins


